Home | All Classes | Grouped Classes | Index | Search

# CL_IRCConnection::send_join

Send join channel command.

    	void send_join(
    		const std::string& channel, const std::string& key = "");

    	void send_join(
    		const std::list<std::string>& channels, const std::list<std::string>& keys);

Parameters:

channel
  Channel to join, ie. "#clanlib"
key
  Channel key, if any.
channels
  List of channels to join.
keys
  List of channel keys.

See also:

CL_IRCConnection

Questions or comments, write to the ClanLib mailing list.